# GMAT

*Run NASA's General Mission Analysis Tool (GMAT) from Julia*

[![Build Status](https://travis-ci.org/JuliaSpace/GMAT.jl.svg?branch=master)](https://travis-ci.org/JuliaSpace/GMAT.jl)
[![Coverage Status](http://codecov.io/github/JuliaSpace/GMAT.jl/coverage.svg?branch=master)](http://codecov.io/github/JuliaSpace/GMAT.jl?branch=master)

## Installation

This package can be installed using:

```julia-repl
julia> using Pkg
julia> Pkg.add("GMAT")
```

## Usage

For the time being, the package only provides functionality to run
[GMAT scripts](http://gmat.sourceforge.net/docs/R2020a/html/index.html).

```julia
using GMAT

# Run a script. `output` will be a list of output files generated by GMAT.
output = run_script("example.script")
```

Better integration with Julia through [CxxWrap.jl](https://github.com/JuliaInterop/CxxWrap.jl) is
planned.
